def get_flv(course_code)
  dir_n   = course_code
  xml_uri =  COURSE_DATA[course_code]["base_url"] +"/"+ XML_F
  xml = OpenURI.open_uri(xml_uri).read
  doc = REXML::Document.new xml
  doc.elements.each("musicdata/music") do |e|
    out_flv_dir = "flv/"+ dir_n
    unless( FileTest.exist? out_flv_dir ) then
      FileUtils.mkdir_p out_flv_dir
    end
    flv_n = e.attributes["file"]
    out_flv = out_flv_dir + "/" + flv_n
    unless( FileTest.exist? out_flv ) then
      cmd = RTMPDUMP + " -o #{out_flv} -r #{URL_BASE}/#{flv_n}"
      exec_stub cmd
    end

    if(FileTest.exist? out_flv) then
      out_mp3_dir = "mp3/" + dir_n
      unless( FileTest.exist? out_mp3_dir ) then
        FileUtils.mkdir_p out_mp3_dir
      end
      mp3_n = (e.attributes["kouza"] + " " + e.attributes["hdate"]).tosjis + ".mp3"
      album = e.attributes["kouza"].tosjis
      title = e.attributes["hdate"].tosjis
      out_mp3 = out_mp3_dir + "/" + mp3_n
      unless( FileTest.exist? out_mp3 ) then
        cmd = FFMPEG + " -i #{out_flv} -acodec copy \"#{out_mp3}\""
        exec_stub cmd
      end
    end
    sleep(1)
  end
end
